package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(im_group_notice):
 */
public class ImGroupNotice {

	/**  */
	private Long id;
	
	/**  */
	private Long imGroupId;
	
	/** 标题 */
	private String title;
	
	/** 内容 */
	private String content;
	
	/** 是否置顶 */
	private boolean isTop;
	
	/** 是否发送给新人 */
	private boolean isSentToNewMember;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private boolean delFlag;
	
	/** 操作人 */
	private Long operatorId;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setImGroupId(Long imGroupId){
		this.imGroupId = imGroupId;
	}
	
	public Long getImGroupId(){
		return this.imGroupId;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setIsTop(boolean isTop){
		this.isTop = isTop;
	}
	
	public boolean isIsTop(){
		return this.isTop;
	}
			
	public void setIsSentToNewMember(boolean isSentToNewMember){
		this.isSentToNewMember = isSentToNewMember;
	}
	
	public boolean isIsSentToNewMember(){
		return this.isSentToNewMember;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setDelFlag(boolean delFlag){
		this.delFlag = delFlag;
	}
	
	public boolean isDelFlag(){
		return this.delFlag;
	}
			
	public void setOperatorId(Long operatorId){
		this.operatorId = operatorId;
	}
	
	public Long getOperatorId(){
		return this.operatorId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
